document.addEventListener("DOMContentLoaded", () => {
    document.querySelectorAll("*").forEach(el => {
        el.setAttribute("draggable", "false");
    });

    document.addEventListener("selectstart", e => e.preventDefault(), { passive: false });

    document.addEventListener("copy", e => e.preventDefault(), { passive: false });
});
